# Generated by Django 3.0 on 2020-06-08 06:51
import django
from django.db import migrations, models
import utils.fields
from django.conf import settings

class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='SubGenre',
            fields=[
                ('id', models.CharField(db_column='SUB_GENRE_ID', max_length=15, primary_key=True, serialize=False)),
                ('name', models.CharField(db_column='SUB_GENRE_NAME', max_length=100)),
                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
                ('account_created',
                 models.ForeignKey(db_column='CREATED_BY', on_delete=django.db.models.deletion.CASCADE,
                                   related_name='+', to=settings.AUTH_USER_MODEL)),

            ],
            options={
                'db_table': 'STM_SUB_GENRE',
                'ordering': ['-datetime_created'],
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'view_detail', 'add', 'change', 'delete'),
            },
            bases=(utils.fields.SaveMixin, models.Model),
        ),
    ]
